#!/bin/sh

WORKSPACE=~/workspace

RES=`dirname $(cd "${0%/*}" 2>/dev/null; echo "$PWD"/"${0##*/}")`

cd /tmp
rm -fr omero
mkdir -p omero/importer omero/insight

cd omero
cp $RES/index.html .

cd importer
cp -r $WORKSPACE/omero4/components/tools/OmeroImporter/target/OmeroImporter.jar $WORKSPACE/omero4/components/tools/OmeroImporter/target/libs $WORKSPACE/omero4/components/tools/OmeroImporter/target/config .
javac -d config -target 1.5 $RES/Config.java
jar cf config.jar -C config .
rm -fr config
cp $RES/importer.jsp $RES/importer.gif .
cd ..

cd insight
cp -r $WORKSPACE/shoola4/OUT/dist/omero.insight.jar $WORKSPACE/shoola4/OUT/app/libs $WORKSPACE/shoola4/OUT/app/config .
javac -d config -target 1.5 $RES/Config.java
jar cf config.jar -C config .
rm -fr config
cp $RES/insight.jsp $RES/insight.gif .
cd ..

#find libs -name '*.jar' | while read i ; do echo "    <jar href=\"$i\"/>"; done

#keytool -genkey -alias omero
#find . -name '*.jar' | while read i ; do jarsigner -storepass changeit $i omero ; done
